POST api/MEQuestion/PostQuestionnaire

Request Information

URI Parameters

None.

Body Parameters

QuestionnaireDTO
NameDescriptionTypeAdditional information
Id

integer

None.

Question

string

String length: inclusive between 0 and 500

QuestionType

string

String length: inclusive between 0 and 100

IsInline

boolean

None.

Class

string

String length: inclusive between 0 and 200

PlaceHolder

string

String length: inclusive between 0 and 300

MaxLength

integer

None.

Row

integer

None.

HelpText

string

String length: inclusive between 0 and 300

lstOptions

Collection of QuestionOptionDTO

None.

ValidFlag

boolean

None.

DateCreated

date

None.

DateUpdated

date

None.

UserIDCreated

integer

None.

UserIDUpdated

integer

None.

Request Formats

application/json, text/json

Sample:
{
  "Id": 1,
  "Question": "sample string 2",
  "QuestionType": "sample string 3",
  "IsInline": true,
  "Class": "sample string 4",
  "PlaceHolder": "sample string 5",
  "MaxLength": 1,
  "Row": 1,
  "HelpText": "sample string 6",
  "lstOptions": [
    {
      "Id": 1,
      "QuestionnaireId": 2,
      "OptionName": "sample string 3",
      "OptionValue": "sample string 4",
      "IsChecked": true,
      "ValidFlag": true,
      "DateCreated": "2026-08-04T14:25:40.6097124-07:00",
      "DateUpdated": "2026-08-04T14:25:40.6097124-07:00",
      "UserIDCreated": 8,
      "UserIDUpdated": 9
    },
    {
      "Id": 1,
      "QuestionnaireId": 2,
      "OptionName": "sample string 3",
      "OptionValue": "sample string 4",
      "IsChecked": true,
      "ValidFlag": true,
      "DateCreated": "2026-08-04T14:25:40.6097124-07:00",
      "DateUpdated": "2026-08-04T14:25:40.6097124-07:00",
      "UserIDCreated": 8,
      "UserIDUpdated": 9
    }
  ],
  "ValidFlag": true,
  "DateCreated": "2026-08-04T14:25:40.6097124-07:00",
  "DateUpdated": "2026-08-04T14:25:40.6097124-07:00",
  "UserIDCreated": 10,
  "UserIDUpdated": 11
}

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

AsapResponseOfQuestionnaireDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

QuestionnaireDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": {
    "Id": 1,
    "Question": "sample string 2",
    "QuestionType": "sample string 3",
    "IsInline": true,
    "Class": "sample string 4",
    "PlaceHolder": "sample string 5",
    "MaxLength": 1,
    "Row": 1,
    "HelpText": "sample string 6",
    "lstOptions": [
      {
        "Id": 1,
        "QuestionnaireId": 2,
        "OptionName": "sample string 3",
        "OptionValue": "sample string 4",
        "IsChecked": true,
        "ValidFlag": true,
        "DateCreated": "2026-08-04T14:25:40.6282507-07:00",
        "DateUpdated": "2026-08-04T14:25:40.6282507-07:00",
        "UserIDCreated": 8,
        "UserIDUpdated": 9
      },
      {
        "Id": 1,
        "QuestionnaireId": 2,
        "OptionName": "sample string 3",
        "OptionValue": "sample string 4",
        "IsChecked": true,
        "ValidFlag": true,
        "DateCreated": "2026-08-04T14:25:40.6282507-07:00",
        "DateUpdated": "2026-08-04T14:25:40.6282507-07:00",
        "UserIDCreated": 8,
        "UserIDUpdated": 9
      }
    ],
    "ValidFlag": true,
    "DateCreated": "2026-08-04T14:25:40.6282507-07:00",
    "DateUpdated": "2026-08-04T14:25:40.6282507-07:00",
    "UserIDCreated": 10,
    "UserIDUpdated": 11
  },
  "totalCount": 3
}